Resource icon

Unmaintained Guzzle6 for XenForo 2.0 1.3.0

No permission to download
Code Currently Implemented

The following classes have been replaced or modified by this addon
  • XF\BbCode\ProcessorAction\AutoLink
  • XF\Captcha\ReCaptcha
  • XF\Captcha\TextCaptcha
  • XF\ConnectedAccount\Http\Client
  • XF\Http\Reader
  • XF\Http\Stream
  • XF\Payment\PayPal
  • XF\Payment\Stripe
  • XF\Payment\TwoCheckout
  • XF\Service\AddOn\JsMinifier
  • XF\Service\ImageProxy
  • XF\Spam\Checker\Akismet
  • XF\Spam\Checker\StopForumSpam
  • XF\SubContainer\Http
  • XFMG\EmbedData\BaseData
  • XFMG\EmbedData\YouTube
  • XFMG\EmbedData\Imgur
  • XFES\Elasticsearch\Api
  • XFES\Elasticsearch\BulkRequestException
  • XFES\Elasticsearch\RequestException
Q. Should I install this addon?

A.
Probably not.

If you have built an addon which utilises external libraries that rely on Guzzle6, you can use this library to provide support for Guzzle6.

For everyone else - you are better off using the built in Guzzle5 functionality shipped in the core for maximum compatibility with the core product and other addons. There is nothing wrong with Guzzle5 - it works perfectly well for most purposes.

If you are building a new addon that needs to make external HTTP calls, I suggest you just use the core Guzzle5 functionality.
Top